# GimpUi.PreviewArea.fill

    @accepts(GimpUi.PreviewArea, int, int, int, int, guint8, guint8, guint8)
    @returns(none)
    def fill(self, x, y, width, height, red, green, blue):
        # Python wrapper for gimp_preview_area_fill()

Fills the given rectangle of self in the given color and queues a redraw.

Since GIMP 2.2

self

  a GimpUi.PreviewArea widget.

x

  x offset in preview

y

  y offset in preview

width

  width of the rectangle to fill

height

  height of the rectangle to fill

red

  red component of the fill color (0-255)

green

  green component of the fill color (0-255)

blue

  red component of the fill color (0-255)